@model be_wise.Models.Dashboard.Dto.EditPostViewModel

@{
    ViewBag.Title = "Nowy post";
    Layout = "_DashboardLayout";
}

<form asp-action="Create" method="post" enctype="multipart/form-data">
    <div class="form-group">
        <label asp-for="Content">Tytuł</label>
        <input type="text" class="form-control form-control-user" asp-for="Content" placeholder="Wszystko przychodzi i odchodzi">
        @Html.ValidationMessageFor(model => model.Content, "", new {@class = "text-danger"})

    </div>
    <div class="form-group">
        <label asp-for="Image">Wybierz obraz:</label>
        <input type="file" asp-for="Image" class="form-control-file">
        @Html.ValidationMessageFor(model => model.Image, "", new {@class = "text-danger"})
        @Html.ValidationMessageFor(model => model.FileName, "", new {@class = "text-danger"})
    </div>
    @if (@Model.Categories != null)
    {
        <div class="form-group">
            <label asp-for="CategoryId">Wybierz kategorie:</label>
            <select asp-for="CategoryId" class="form-control">
                @foreach (var category in @Model.Categories)
                {
                    <option value="@category.Id">@category.Title</option>
                }
            </select>
        </div>
    }
    @Html.ValidationMessageFor(model => model.CategoryId, "", new {@class = "text-danger"})


    <button type="submit" class="btn btn-primary">
        Dodaj
    </button>
    <a asp-action="Index" class="btn btn-warning">
        Anuluj
    </a>
</form>